%define glib2_version 2.25.9
%define pango_version 1.1.3
%define gtk2_version 2.21.2
%define gnome_icon_theme_version 1.1.5
%define libxml2_version 2.4.20
%define desktop_file_utils_version 0.7
%define gnome_desktop_version 2.29.91
%define redhat_menus_version 0.25
%define startup_notification_version 0.5
%define libexif_version 0.5.12
%define gconf_version 2.14
%define exempi_version 1.99.5
%define unique_version 1.0.4

Name:		nautilus-elementary
Summary:        File manager for GNOME
Version:	2.32.2
Release:	5
License:	GPLv2+
Group:          User Interface/Desktops
Source:		http://download.gnome.org/sources/%{name}/2.32/%{name}-%{version}.tar.bz2

URL: 		http://www.fuduntu.org
Requires:	gamin
Requires:       filesystem >= 2.1.1-1
Requires:       redhat-menus >= %{redhat_menus_version}
Requires:       gvfs >= 1.4.0
Requires:       gnome-icon-theme >= %{gnome_icon_theme_version}
Requires:       libexif >= %{libexif_version}
Requires:	fuduntu-theme
Requires:	gnome-common
%ifnarch s390 s390x
Requires: 	eject
%endif

BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	pango-devel >= %{pango_version}
BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:	libxml2-devel >= %{libxml2_version}
BuildRequires:  gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires:	gamin-devel
BuildRequires:	gvfs-devel
BuildRequires:  intltool >= 0.40.6-2
BuildRequires:  libX11-devel
BuildRequires:  libXt-devel
BuildRequires:  fontconfig
BuildRequires:  desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires:  libtool >= 1.4.2-10
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  startup-notification-devel >= %{startup_notification_version}
BuildRequires:  libexif-devel >= %{libexif_version}
BuildRequires:  exempi-devel >= %{exempi_version}
BuildRequires:  gettext
BuildRequires:  libselinux-devel
BuildRequires:  gtk-doc
BuildRequires:  scrollkeeper
BuildRequires:  gobject-introspection-devel >= %{gobject_introspection_version}
BuildRequires:  unique-devel
BuildRequires:	vte-devel
BuildRequires:  gnome-common

Requires(pre): GConf2 >= %{gconf_version}
Requires(preun): GConf2 >= %{gconf_version}
Requires(post): GConf2 >= %{gconf_version}
Requires:	gnome-desktop >= %{gnome_desktop_version}

# the main binary links against libnautilus-extension.so
# don't depend on soname, rather on exact version

Obsoletes:	nautilus
Obsoletes:	nautilus-extensions
Obsoletes:      nautilus-extras
Obsoletes:      nautilus-suggested
Obsoletes:      nautilus-mozilla < 2.0
Obsoletes:      nautilus-media

Obsoletes:      gnome-volume-manager < 2.24.0-2
Provides:       gnome-volume-manager = 2.24.0-2
Obsoletes:      eel2 < 2.26.0-3
Provides:       eel2 = 2.26.0-3
Provides:	nautilus = 2.32.2

%description
Nautilus Elementary is a tweaked version of Nautilus file manager and
graphical shell for the GNOME desktop that makes it easy to manage
your files and the rest of your system. It allows to browse directories
on local and remote filesystems, preview files and launch applications
associated with them. It is also responsible for handling the icons
on the GNOME desktop.

%package extensions
Summary: Nautilus Elementary extensions library
License: LGPLv2+
Group: Development/Libraries
Requires:   %{name} = %{version}-%{release}
Provides:   nautilus-extensions = 2.32.2

%description extensions
This package provides the libraries used by nautilus extensions.

%package devel
Summary: Support for developing nautilus extensions
License: LGPLv2+
Group: Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig
Obsoletes:      eel2-devel < 2.26.0-3
Provides:       eel2-devel = 2.26.0-3
Provides:	nautilus-devel = 2.32.2

%description devel
This package provides libraries and header files needed
for developing nautilus extensions.

%prep
%setup -q -n %{name}-%{version}

%build

#./configure --prefix=/usr
./autogen.sh --prefix=/usr

export tagname=CC
LANG=en_US make %{?_smp_mflags}

cd po
grep -v ".*[.]desktop[.]in.*\|.*[.]server[.]in$" POTFILES.in > POTFILES.keep
mv POTFILES.keep POTFILES.in
intltool-update --pot
for p in *.po; do
  msgmerge $p nautilus.pot > $p.out
  msgfmt -o `basename $p .po`.gmo $p.out
done
# refresh the files in ./po after touching POTFILES.in

make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
LANG=en_US %makeinstall LIBTOOL=/usr/bin/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

## these are in desktop-backgrounds-basic
## (uncomment when we patch the source to look in the right place)
## /bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/nautilus/patterns

# remove .desktop entry in applications > system tools
# https://bugzilla.redhat.com/show_bug.cgi?id=583790
rm $RPM_BUILD_ROOT%{_datadir}/applications/nautilus-browser.desktop

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

# http://bugzilla.gnome.org/show_bug.cgi?id=571417
cat >>$RPM_BUILD_ROOT%{_datadir}/applications/gnome-nautilus.desktop <<EOF
AutostartCondition=GNOME /apps/nautilus/preferences/show_desktop
EOF

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/.icon-theme.cache

mkdir -p $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0

%post
/sbin/ldconfig
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :

touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --install-schema-file=/etc/gconf/schemas/apps_nautilus_preferences.schemas >/dev/null 2>&1 || :

gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -t bool -s "/apps/nautilus/desktop/trash_icon_visible" "false" >/dev/null 2>&1
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -t bool -s "/apps/nautilus/desktop/home_icon_visible" "false" >/dev/null 2>&1
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -t bool -s "/apps/nautilus/desktop/computer_icon_visible" "false" >/dev/null 2>&1

echo -n "Updating Nautilus for user: "
  for USER in $(awk -F: '$6 ~ /\/home/ && $3 >= 500 {print $1}' /etc/passwd);
  do
    echo -n "["$USER"] "
    TRASH_ICON=$(su $USER -l -c "DISPLAY=:0.0 gconftool-2 --get /apps/nautilus/desktop/trash_icon_visible 2>/dev/null")
    HOME_ICON=$(su $USER -l -c "DISPLAY=:0.0 gconftool-2 --get /apps/nautilus/desktop/home_icon_visible 2>/dev/null")
    COMPUTER_ICON=$(su $USER -l -c "DISPLAY=:0.0 gconftool-2 --get /apps/nautilus/desktop/computer_icon_visible 2>/dev/null")
    su $USER -l -c "DISPLAY=:0.0 gconftool-2 --install-schema-file=/etc/gconf/schemas/apps_nautilus_preferences.schemas >/dev/null 2>&1"
    su $USER -l -c "DISPLAY=:0.0 nautilus -q"
    if [ "$TRASH_ICON" = "" ]; then
      TRASH_ICON="false"
    fi
    if [ "$HOME_ICON" = "" ]; then
      HOME_ICON="false"
    fi
    if [ "$COMPUTER_ICON" = "" ]; then
      COMPUTER_ICON="false"
    fi
    su $USER -l -c "DISPLAY=:0.0 gconftool-2 -t bool -s /apps/nautilus/desktop/trash_icon_visible $TRASH_ICON"
    su $USER -l -c "DISPLAY=:0.0 gconftool-2 -t bool -s /apps/nautilus/desktop/home_icon_visible $HOME_ICON"
    su $USER -l -c "DISPLAY=:0.0 gconftool-2 -t bool -s /apps/nautilus/desktop/computer_icon_visible $COMPUTER_ICON"

  done

### Bug in nautilus build - extension devel should look for the 64bit lib, not a 32bit path.
%ifarch x86_64
sed -i "s#/lib/#/lib64/#g" $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libnautilus-extension.pc
%endif

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig

if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING-DOCS COPYING.LIB NEWS README
%{_datadir}/nautilus
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/nautilus.xml
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/icons/hicolor/*/apps/nautilus.png
%{_datadir}/icons/hicolor/scalable/apps/nautilus.svg
%{_mandir}/man1/nautilus-connect-server.1.gz
%{_mandir}/man1/nautilus-file-management-properties.1.gz
%{_mandir}/man1/nautilus.1.gz
%{_libexecdir}/nautilus-convert-metadata
/usr/share/locale/*
/usr/share/mime/*

%files extensions
%defattr(-, root, root)
%{_libdir}/libnautilus-extension.so.*
%{_libdir}/girepository-1.0/*.typelib
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-2.0

%files devel
%defattr(-, root, root)
%{_includedir}/nautilus
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/*.gir
%doc %{_datadir}/gtk-doc/html/libnautilus-extension/*

%changelog
* Sat Dec 10 2011 Andrew Wyatt <andrew@fuduntu.org> - Version:2.32.2
- Built for Fuduntu

* Fri Dec 09 2011 Andrew Wyatt <andrew@fuduntu.org> - 2.32.2-5
- Update to fix 64bit devel package bug

* Sat May 19 2011 Andrew Wyatt <andrew@fuduntu.org> - 2.32.2-2
- Build for newer version on Nautilus Elementary

* Sat Dec 04 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 2.32.0-1
- Nautilus-Elementary
